
FTP Receiver - Feature #1796

Support FTPS

03/22/2017 09:31 PM - Luke Murphey

Status: Closed Start date: 03/22/2017

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

History

#1 - 03/22/2017 09:31 PM - Luke Murphey

https://wiki.splunk.com/Community:Splunk2Splunk_SSL_DefaultCerts

http://pythonhosted.org/pyftpdlib/tutorial.html#ftps-ftp-over-tls-ssl-server

#2 - 03/22/2017 09:32 PM - Luke Murphey

See this to force SSL (explicit SSL): https://github.com/giampaolo/pyftpdlib/issues/160

#3 - 03/22/2017 09:35 PM - Luke Murphey

Original request here: https://answers.splunk.com/answers/513113/ftp-receiver-with-sftp-protocol.html#answer-513169

#4 - 06/27/2019 03:16 AM - Luke Murphey

https://pyftpdlib.readthedocs.io/en/latest/api.html

#5 - 04/04/2022 06:15 PM - Luke Murphey

API defined here: https://pyftpdlib.readthedocs.io/en/latest/api.html

Example: https://pyftpdlib.readthedocs.io/en/latest/tutorial.html

sslRootCAPath = $SPLUNK_HOME/etc/auth/cacert.pem

sslCertPath = $SPLUNK_HOME/etc/auth/server.pem

Password is in:

etc/system/local/server.conf

#6 - 04/05/2022 09:36 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

I added SSL/TLS support in version 1.1.0.

The app will only support TLS/SSL if you install the necessary libraries (I cannot include them in the package since the files are platform specific). I

include a setup.py script that you can run once to get the libraries installed; See the README for instructions.
